<mat-card>
  <mat-card-content>
    <mat-card-title>Complétez votre Profil</mat-card-title>
    <!--<mat-card-subtitle>Angular2 custom validation here is the
      <a href="https://github.com/yuyang041060120/ng2-validation" target="_blank">official site</a>
    </mat-card-subtitle>-->
    <form [formGroup]="form" (ngSubmit)="onSubmit()">

      <div fxLayout="row wrap">
        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field>
            <input matInput placeholder="Nom" [formControl]="form.controls['lastName']">
          </mat-form-field>
          <mat-hint *ngIf="form.controls['lastName'].hasError('required') && form.controls['lastName'].touched" class="text-danger font-14">Vous devez inclure le nom.</mat-hint>
        </div>

        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field>
            <input matInput placeholder="Prenom" [formControl]="form.controls['firstName']">
          </mat-form-field>
          <mat-hint *ngIf="form.controls['firstName'].hasError('required') && form.controls['firstName'].touched" class="text-danger font-14">Vous devez inclure le prenom.</mat-hint>
        </div>


        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field class="example-full-width">
            <mat-label>Role</mat-label>
            <select matNativeControl required [formControl]="form.controls['role']" placeholder="Role">
              <option value="Admin">Admin</option>
              <option value="Sopignant">Soignant</option>
              <option value="Patient">Patient</option>
            </select>
          </mat-form-field>
          <small *ngIf="form.controls['role'].hasError('required') && form.controls['role'].touched" class="text-danger font-14">Vous devez selectionner un role.</small>
        </div>


        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field>
            <input matInput [formControl]="form.controls['birthday']" placeholder="Date de Naissance" type="date">
          </mat-form-field>
          <mat-hint *ngIf="form.controls['birthday'].hasError('required') && form.controls['birthday'].touched" class="text-danger font-14">Vous devez inclure votre adresse.</mat-hint>
          <mat-hint *ngIf="form.controls['birthday'].errors?.date && form.controls['birthday'].touched" class="text-danger font-14">Vous devez inclure une adresse valide.</mat-hint>
        </div>


        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field>
            <input matInput [formControl]="form.controls['adress']" placeholder="Adresse" type="text">
          </mat-form-field>
          <mat-hint *ngIf="form.controls['adress'].hasError('required') && form.controls['adress'].touched" class="text-danger font-14">Vous devez inclure votre adresse.</mat-hint>
          <mat-hint *ngIf="form.controls['adress'].errors?.date && form.controls['adress'].touched" class="text-danger font-14">Vous devez inclure une adresse valide.</mat-hint>
        </div>


        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field>
            <input matInput [formControl]="form.controls['zip']" placeholder="Code Posatel">
          </mat-form-field>
          <mat-hint *ngIf="form.controls['zip'].hasError('required') && form.controls['zip'].touched" class="text-danger font-14">Vous devez inclure votre code postale.</mat-hint>
          <mat-hint *ngIf="form.controls['zip'].errors?.date && form.controls['zip'].touched" class="text-danger font-14">Vous devez inclure une code postale valide.</mat-hint>
        </div>

        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field>
            <input matInput [formControl]="form.controls['city']" placeholder="Ville">
          </mat-form-field>
          <mat-hint *ngIf="form.controls['city'].hasError('required') && form.controls['city'].touched" class="text-danger font-14">Vous devez inclure votre ville de résidence.</mat-hint>
          <!--<mat-hint *ngIf="form.controls['city'].errors?.date && form.controls['city'].touched" class="text-danger font-14">Vous devez inclure une adresse valide.</mat-hint>-->
        </div>


        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <mat-form-field>
            <input matInput [formControl]="form.controls['country']" placeholder="Pays">
          </mat-form-field>
          <mat-hint *ngIf="form.controls['country'].hasError('required') && form.controls['country'].touched" class="text-danger font-14">Vous devez inclure votre pays de résidence.</mat-hint>
          <!--<mat-hint *ngIf="form.controls['country'].errors?.date && form.controls['country'].touched" class="text-danger font-14">Vous devez inclure une adresse valide.</mat-hint>-->
        </div>


        <div class="p-10" fxFlex.gt-sm="50" fxFlex.gt-xs="50" fxFlex="100">
          <label class="m-r-20">Gender :</label>
          <mat-radio-group [formControl]="form.controls['gender']">
            <mat-radio-button value="Madame" class="m-r-10">Madame</mat-radio-button>
            <mat-radio-button value="Monsieur">Monsieur</mat-radio-button>
          </mat-radio-group>
          <small *ngIf="!form.controls['gender'].valid && form.controls['gender'].touched" class="mat-text-warn">Vous devez sélectionner un sexe.</small>
        </div>
      </div>
      <mat-card-actions>
        <button mat-raised-button color="primary" type="submit" [disabled]="!form.valid">Modifier</button>
      </mat-card-actions>
    </form>
  </mat-card-content>
</mat-card>
